PDA

View Full Version : August 29th OpenAL updated!!


Superfly
09-01-05, 03:46 PM
Bug Fixes:

Updated August 29, 2005 -- Version 1.7.0
Version note -- Installs OpenAL32.dll version 6.14.357.9 and wrap_oal.dll version 1.1.4.0.

Bugfixes --

The installer has been updated to remove a bug with native support after downgrading Creative driver revisions or moving to an older creative product.

The wrapper has been updated to enumerate "Generic Hardware" and "Generic Software" as the default devices. The wrapper still accepts the DS3D, DS, and MMSYSTEM legacy names as valid.

The router has been updated to accomodate the new generic device names -- it will map requests for the legacy names to the appropriate new name, and will not enumerate old names if the new names are available in a findable OpenAL library. The router also has been updated to fix a crash-bug on systems where there is no sound card available.

download: http://developer.creative.com/articles/article.asp?cat=1&sbcat=31&top=38&aid=46

im surprised more peeps dont check the Creative Developer website......unlike NVD it does'nt require any special registration..... :rolleyes:

ATI_Dude
09-01-05, 04:56 PM
Thanks for the heads up!

Superfly
09-01-05, 05:00 PM
you are welcome

CaptNKILL
09-01-05, 05:04 PM
So can I just use this? Does it require any specific hardware or software to work correctly? I know its on Creative's site but Im pretty sure OpenAL isnt specific to SoundBlaster cards.

JaylumX
09-01-05, 05:29 PM
It won't let me download the openal file.

saweetnesstrev
09-01-05, 05:54 PM
Hey, i dont have these files on my computer and i have the latest drivers.. what gives?

saweetnesstrev
09-01-05, 05:59 PM
Oh i see it now, the search thing didnt search C:/windows/system32 folder hmm

saturnotaku
09-01-05, 09:43 PM
Oh i see it now, the search thing didnt search C:/windows/system32 folder hmm

You know, the edit button is there for a reason.

Superfly
09-02-05, 04:29 AM
So can I just use this? Does it require any specific hardware or software to work correctly? I know its on Creative's site but Im pretty sure OpenAL isnt specific to SoundBlaster cards.

You need to have an OpenAL driver installed for your Soundblaster card - for the Audigy series this requires driver version 2.05 BETA or above.

Superfly
09-02-05, 04:37 AM
opps - double postie